Subject: Re: [wellknown-uri-review] Request for well-known URI: void

From: Michael Hausenblas <[email-masked]>
Date: Thu, 3 Mar 2011 16:03:22 +0000

Mark,

As per today we've completed publication at W3C, below the final  
registration for the well-known URI 'void':

===

  URI suffix:  void

  Change controller:  Keith Alexander, Richard Cyganiak, Michael  
Hausenblas and Jun Zhao.

  Specification document:  http://www.w3.org/TR/2011/NOTE-void-20110303/

  Related information:  -
===

Cheers,
	Michael
--
Dr. Michael Hausenblas, Research Fellow
LiDRC - Linked Data Research Centre
DERI - Digital Enterprise Research Institute
NUIG - National University of Ireland, Galway
Ireland, Europe
Tel. +353 91 495730
http://linkeddata.deri.ie/
http://sw-app.org/about.html

On 10 Feb 2011, at 00:52, Mark Nottingham wrote:

> If you can register it with the final URI, that would be helpful.
>
> Cheers,
>
> On 09/02/2011, at 11:22 PM, Michael Hausenblas wrote:
>
> >
> > Mark,
> >
> >> I've been checking with the W3C in the background to make sure  
> that they're OK
> >> with this (since they've got related work). I understand you're  
> going to
> >> republish soon, and as a result we're going to hold this until  
> then.
> >
> > Thanks a lot. Indeed, we plan to publish it under a stable URI in  
> the TR/
> > space in the next couple of weeks (depending on how quick we can  
> address the
> > minor changes from the review phase and W3C-internal publishing  
> process), so
> > yes, please hold it till then - will ping you once it's available.
> >
> > Now, I also wanted to give you heads-up that we plan to fold back  
> the
> > content from http://vocab.deri.ie/void/autodiscovery into the W3C  
> document,
> > in order to have a self-descriptive, stand-alone document rather  
> than two
> > documents referring to each other.
> >
> > The initial reason why we had to split it in the first place is, I  
> guess,
> > obvious (chicken-egg problem with W3C publishing and IETF  
> registration) and
> > I hope this is OK with you and doesn't require an additional round- 
> trip?
> >
> > Cheers,
> >      Michael
> >
> > --
> > Dr. Michael Hausenblas, Research Fellow
> > LiDRC - Linked Data Research Centre
> > DERI - Digital Enterprise Research Institute
> > NUIG - National University of Ireland, Galway
> > Ireland, Europe
> > Tel. +353 91 495730
> > http://linkeddata.deri.ie/
> > http://sw-app.org/about.html
> >
> >
> >
> >> From: Mark Nottingham <[email-masked]>
> >> Date: Tue, 1 Feb 2011 19:00:03 +1100
> >> To: Michael Hausenblas <[email-masked]>
> >> Cc: <[email-masked]>, voiD community
> >> <[email-masked]>
> >> Subject: Re: [wellknown-uri-review] Request for well-known URI:  
> void
> >>
> >> Hi Michael,
> >>
> >> I've been checking with the W3C in the background to make sure  
> that they're OK
> >> with this (since they've got related work). I understand you're  
> going to
> >> republish soon, and as a result we're going to hold this until  
> then.
> >>
> >> If you don't intend to do so, or you think it's going to be a  
> long time until
> >> you republish (months+), please ping me and we'll proceed, so you  
> can get a
> >> registration.
> >>
> >> Cheers,
> >>
> >>
> >>
> >> On 26/01/2011, at 7:41 PM, Michael Hausenblas wrote:
> >>
> >>>
> >>> I was told to resubmit the request with the filled in  
> registration template
> >>> (in my original request, the registration template was contained  
> in the
> >>> pointer to http://vocab.deri.ie/void/autodiscovery) - here we go:
> >>>
> >>> ===
> >>>
> >>> URI suffix:  void
> >>>
> >>> Change controller:  Keith Alexander, Richard Cyganiak, Michael  
> Hausenblas
> >>> and Jun Zhao.
> >>>
> >>> Specification document:  http://vocab.deri.ie/void/autodiscovery
> >>>
> >>> Related information:  http://www.w3.org/2001/sw/interest/ED-void-20101216/
> >>> ===
> >>>
> >>> Cheers,
> >>>     Michael
> >>>
> >>> --
> >>> Dr. Michael Hausenblas, Research Fellow
> >>> LiDRC - Linked Data Research Centre
> >>> DERI - Digital Enterprise Research Institute
> >>> NUIG - National University of Ireland, Galway
> >>> Ireland, Europe
> >>> Tel. +353 91 495730
> >>> http://linkeddata.deri.ie/
> >>> http://sw-app.org/about.html
> >>>
> >>>
> >>>
> >>>> From: Michael Hausenblas <[email-masked]>
> >>>> Date: Thu, 20 Jan 2011 12:51:25 +0000
> >>>> To: <[email-masked]>
> >>>> Cc: voiD community <[email-masked]>
> >>>> Conversation: Request for well-known URI: void
> >>>> Subject: Request for well-known URI: void
> >>>>
> >>>>
> >>>> As per section 5.1 of RFC5785 [1] we hereby request the  
> registration of the
> >>>> well-known URI with the prefix 'void'. The registration  
> document, titled
> >>>> 'Discovery of voiD descriptions with well-known URIs' can be  
> found at [2].
> >>>> The
> >>>> accompanying W3C document explaining voiD descriptions in  
> detail is
> >>>> available
> >>>> at [3].
> >>>>
> >>>> The voiD editors,
> >>>> Keith Alexander, Richard Cyganiak, Michael Hausenblas and Jun  
> Zhao
> >>>>
> >>>> [1] http://tools.ietf.org/html/rfc5785#section-5.1
> >>>> [2] http://vocab.deri.ie/void/autodiscovery
> >>>> [3] http://www.w3.org/2001/sw/interest/ED-void-20101216/
> >>>>
> >>>> --
> >>>> Dr. Michael Hausenblas, Research Fellow
> >>>> LiDRC - Linked Data Research Centre
> >>>> DERI - Digital Enterprise Research Institute
> >>>> NUIG - National University of Ireland, Galway
> >>>> Ireland, Europe
> >>>> Tel. +353 91 495730
> >>>> http://linkeddata.deri.ie/
> >>>> http://sw-app.org/about.html
> >>>>
> >>>
> >>> _______________________________________________
> >>> wellknown-uri-review mailing list
> >>> [email-masked]
> >>> https://www.ietf.org/mailman/listinfo/wellknown-uri-review
> >>
> >> --
> >> Mark Nottingham   http://www.mnot.net/
> >>
> >>
> >>
> >
> > _______________________________________________
> > wellknown-uri-review mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/wellknown-uri-review
>
> --
> Mark Nottingham   http://www.mnot.net/
>
>
>
>

---

From: Eran Hammer-Lahav <[email-masked]>
Date: Thu, 3 Mar 2011 11:07:57 -0700

Why isn't the change controller W3C?

EHL

> -----Original Message-----
> From: [email-masked] [mailto:wellknown-uri-
> [email-masked]] On Behalf Of Michael Hausenblas
> Sent: Thursday, March 03, 2011 8:03 AM
> To: Mark Nottingham
> Cc: [email-masked]
> Subject: Re: [wellknown-uri-review] Request for well-known URI: void
> 
> Mark,
> 
>   Change controller:  Keith Alexander, Richard Cyganiak, Michael Hausenblas
> and Jun Zhao.
> 
> DERI - Digital Enterprise Research Institute NUIG - National University of
> Ireland, Galway Ireland, Europe Tel. +353 91 495730 http://linkeddata.deri.ie/
> > > Dr. Michael Hausenblas, Research Fellow LiDRC - Linked Data Research
> > > Centre DERI - Digital Enterprise Research Institute NUIG - National
> > > University of Ireland, Galway Ireland, Europe Tel. +353 91 495730
> > > http://linkeddata.deri.ie/ http://sw-app.org/about.html
> > >
> > >
> > >
> > >>> Related information:
> > >>> http://www.w3.org/2001/sw/interest/ED-void-20101216/
> > >>> ===
> > >>>
> > >>> Cheers,
> > >>>     Michael
> > >>>
> > >>> --
> > >>> Dr. Michael Hausenblas, Research Fellow LiDRC - Linked Data
> > >>> Research Centre DERI - Digital Enterprise Research Institute NUIG
> > >>> - National University of Ireland, Galway Ireland, Europe Tel. +353
> > >>> 91 495730 http://linkeddata.deri.ie/ http://sw-app.org/about.html
> > >>>
> > >>>
> > >>>
> > >>>> Dr. Michael Hausenblas, Research Fellow LiDRC - Linked Data
> > >>>> Research Centre DERI - Digital Enterprise Research Institute NUIG
> > >>>> - National University of Ireland, Galway Ireland, Europe Tel.
> > >>>> +353 91 495730 http://linkeddata.deri.ie/

---

From: Michael Hausenblas <[email-masked]>
Date: Thu, 3 Mar 2011 18:16:12 +0000

> Why isn't the change controller W3C?
Maybe, because I don't understand 'change controller' correctly? :)
As I was unable to find out formal requirements for 'change  
controller', I came up with a pragmatic solution? I'd say we could  
certainly put W3C there, but IMO this is very generic, it doesn't help  
people to understand who is behind it. Let's assume we put W3C there -  
how would one be able to determine whom to contact? Which (Working| 
Interest) Group is responsible?

Cheers,
	Michael

On 3 Mar 2011, at 18:07, Eran Hammer-Lahav wrote:

>>>> Research
>>>>>> +353

---

From: Eran Hammer-Lahav <[email-masked]>
Date: Thu, 3 Mar 2011 12:12:55 -0700

Change controller means the entity that gets to update this record. For RFC's it is IETF, not the authors, even if the RFC is an individual submission. If the W3C decides to update this document, they get (through their relationship with the IETF) request changes. You should not be able to request changes outside of your work in the W3C, since this is a W3C effort.

EHL

> From: Michael Hausenblas [mailto:[email-masked]]
> Sent: Thursday, March 03, 2011 10:16 AM
> To: Eran Hammer-Lahav
> Cc: Mark Nottingham; [email-masked]
> Maybe, because I don't understand 'change controller' correctly? :) As I was
> unable to find out formal requirements for 'change controller', I came up
> with a pragmatic solution? I'd say we could certainly put W3C there, but IMO
> this is very generic, it doesn't help people to understand who is behind it.
> Let's assume we put W3C there - how would one be able to determine
> whom to contact? Which (Working|
> >>>> Research Centre DERI - Digital Enterprise Research Institute NUIG -
> >>>> National University of Ireland, Galway Ireland, Europe Tel. +353 91
> >>>> 495730 http://linkeddata.deri.ie/ http://sw-app.org/about.html
> >>>>
> >>>>
> >>>>
> >>>>>> wellknown-uri-review mailing list [email-masked]

---

From: Michael Hausenblas <[email-masked]>
Date: Thu, 3 Mar 2011 19:15:59 +0000

> Change controller means the entity that gets to update this record.  
> For RFC's it is IETF, not the authors, even if the RFC is an  
> individual submission. If the W3C decides to update this document,  
> they get (through their relationship with the IETF) request changes.  
> You should not be able to request changes outside of your work in  
> the W3C, since this is a W3C effort.
I see. Well, in this case I guess we should change the change  
controller to W3C.
Anything else?

Cheers,
	Michael

On 3 Mar 2011, at 19:12, Eran Hammer-Lahav wrote:

> Change controller means the entity that gets to update this record.  
> For RFC's it is IETF, not the authors, even if the RFC is an  
> individual submission. If the W3C decides to update this document,  
> they get (through their relationship with the IETF) request changes.  
> You should not be able to request changes outside of your work in  
> the W3C, since this is a W3C effort.
>
> EHL
>
>> As I was

---

From: Eran Hammer-Lahav <[email-masked]>
Date: Thu, 3 Mar 2011 12:31:44 -0700

Nope.

How certain are you that this will be published by the W3C?

EHL

> Sent: Thursday, March 03, 2011 11:16 AM
> To: Eran Hammer-Lahav
> > You should not be able to request changes outside of your work in the
> > W3C, since this is a W3C effort.
> I see. Well, in this case I guess we should change the change controller to
> W3C.
> Anything else?
> 
> Cheers,
> 	Michael
> --
> > You should not be able to request changes outside of your work in the
> > W3C, since this is a W3C effort.
> >
> > EHL
> >
> >> certainly put W3C there, but IMO this is very generic, it doesn't
> >> help people to understand who is behind it.
> >>>>>> +353 91

---

From: Michael Hausenblas <[email-masked]>
Date: Fri, 4 Mar 2011 08:17:14 +0000

> How certain are you that this will be published by the W3C?
Not sure what you mean. This was the whole point why we waited and  
came back again, now. It *is* published, see: http://www.w3.org/TR/void/
Cheers,
	Michael
--
Dr. Michael Hausenblas, Research Fellow
LiDRC - Linked Data Research Centre
DERI - Digital Enterprise Research Institute
NUIG - National University of Ireland, Galway
Ireland, Europe
Tel. +353 91 495730
http://linkeddata.deri.ie/
http://sw-app.org/about.html

On 3 Mar 2011, at 19:31, Eran Hammer-Lahav wrote:

>> controller to
>>>>>>>> The initial reason why we had to split it in the first place  
>>>>>>>> is,
>>>>>>>> I
>>>>>>> guess,

---

From: Eran Hammer-Lahav <[email-masked]>
Date: Fri, 4 Mar 2011 09:03:10 -0700

I mean approved as a recommendation or other permanent W3C status.

EHL

> Sent: Friday, March 04, 2011 12:17 AM
> To: Eran Hammer-Lahav
> Not sure what you mean. This was the whole point why we waited and came
> back again, now. It *is* published, see: http://www.w3.org/TR/void/ Cheers,
> 	Michael
> --
> >>>>>>>> is, I

---

From: Michael Hausenblas <[email-masked]>
Date: Fri, 4 Mar 2011 16:06:09 +0000

> I mean approved as a recommendation or other permanent W3C status.
It has a permanent status, that of an Interest Group Note [1].

Cheers,
	Michael

On 4 Mar 2011, at 16:03, Eran Hammer-Lahav wrote:

>> came
>>>>>>>>>> Thanks a lot. Indeed, we plan to publish it under a stable  
>>>>>>>>>> URI
>>>>>>>>>> in
>>>>>>>>> the TR/
>>>>>>>>>>> you republish (months+), please ping me and we'll proceed,  
>>>>>>>>>>> so
>>>>>>>>>>> you
>>>>>>>>> can get a
>>>>>>>>>>> registration.
>>>>>>>>>>>
>>>>>>>>>>> Cheers,
>>>>>>>>>>>
>>>>>>>>>>>
>>>>>>>>>>>
>>>>>>>>>>>> pointer to http://vocab.deri.ie/void/autodiscovery) -  
>>>>>>>>>>>> here we
>>>>>>>>>>>> go:
>>>>>>>>>>>>
>>>>>>>>>>>> ===
>>>>>>>>>>>>
>>>>>>>>>>>> URI suffix:  void
>>>>>>>>>>>>
>>>>>>>>>>>> Research Centre DERI - Digital Enterprise Research  
>>>>>>>>>>>> Institute
>>>>>>>>>>>> NUIG
>>>>>>>>>>>>> Research Centre DERI - Digital Enterprise Research  
>>>>>>>>>>>>> Institute
>>>>>>>>>>>>> NUIG

---

From: Eran Hammer-Lahav <[email-masked]>
Date: Fri, 4 Mar 2011 09:47:43 -0700

Perfect. I'll notify IANA.

EHL

> Sent: Friday, March 04, 2011 8:06 AM
> To: Eran Hammer-Lahav
> >> came back again, now. It *is* published, see:
> >> http://www.w3.org/TR/void/ Cheers,
> >>    Michael
> >> --
> >>>>>> controller', I came up with a pragmatic solution? I'd say we
> >>>>>> could certainly put W3C there, but IMO this is very generic, it
> >>>>>> doesn't help people to understand who is behind it.
> >>>>>> Let's assume we put W3C there - how would one be able to
> >>>>>> determine whom to contact? Which (Working|
> >>>>>>>> From: [email-masked]
> [mailto:wellknown-
> >>>>>>>> uri-
> >>>>>>>> As per today we've completed publication at W3C, below the
> >>>>>>>> final registration for the well-known URI 'void':
> >>>>>>>>
> >>>>>>>> ===
> >>>>>>>>
> >>>>>>>> URI suffix:  void
> >>>>>>>>
> >>>>>>>> Specification document:  http://www.w3.org/TR/2011/NOTE-
> void-
> >>>>>>>> 20110303/
> >>>>>>>>
> >>>>>>>> Related information:  -
> >>>>>>>> ===
> >>>>>>>>
> >>>>>>>> Cheers,
> >>>>>>>>      Michael
> >>>>>>>> --
> >>>>>>>>>> URI in
> >>>>>>>>>>> so you
> >>>>>>>>>>>> pointer to http://vocab.deri.ie/void/autodiscovery) - here
> >>>>>>>>>>>> we
> >>>>>>>>>>>> go:
> >>>>>>>>>>>>
> >>>>>>>>>>>> ===
> >>>>>>>>>>>>
> >>>>>>>>>>>> URI suffix:  void
> >>>>>>>>>>>>
> >>>>>>>>>>>> Institute NUIG
> >>>>>>>>>>>>> Dr. Michael Hausenblas, Research Fellow LiDRC - Linked
> >>>>>>>>>>>>> Data Research Centre DERI - Digital Enterprise Research
> >>>>>>>>>>>>> Institute NUIG

---

From: Michael Hausenblas <[email-masked]>
Date: Fri, 4 Mar 2011 16:49:49 +0000

> Perfect. I'll notify IANA.

Thanks! I'll keep an eye on [1] then ;)

Cheers,
	Michael
[1] http://www.iana.org/assignments/well-known-uris/

On 4 Mar 2011, at 16:47, Eran Hammer-Lahav wrote:

>>>>>>>>>>>> space in the next couple of weeks (depending on how quick  
>>>>>>>>>>>> we
>>>>>>>>>>>> can
>>>>>>>>>>> address the
>>>>>>>>>>>> Now, I also wanted to give you heads-up that we plan to  
>>>>>>>>>>>> fold
>>>>>>>>>>>> back
>>>>>>>>>>> the
>>>>>>>>>>>> content from http://vocab.deri.ie/void/autodiscovery into  
>>>>>>>>>>>> the
>>>>>>>>>>>> W3C
>>>>>>>>>>> document,
>>>>>>>>>>>> I hope this is OK with you and doesn't require an  
>>>>>>>>>>>> additional
>>>>>>>>>>>> round-
>>>>>>>>>>> trip?
>>>>>>>>>>>>
>>>>>>>>>>>> Cheers,
>>>>>>>>>>>> Michael
>>>>>>>>>>>>
>>>>>>>>>>>> --
>>>>>>>>>>>>> If you don't intend to do so, or you think it's going to  
>>>>>>>>>>>>> be
>>>>>>>>>>>>> a
>>>>>>>>>>> long time until
>>>>>>>>>>>>>> here
>>>>>>>>>>>>>> Data
>>>>>>>>>>>>>>> Keith Alexander, Richard Cyganiak, Michael Hausenblas  
>>>>>>>>>>>>>>> and
>>>>>>>>>>>>>>> Jun
>>>>>>>>>>> Zhao
>>>>>>>>>>>>>>>